#include "child_component.h"

#include <logging/logging.h>

void ChildComponent::add_child(const std::shared_ptr<Widget> &child) {
    if (m_child)
        warn("child already set");

    m_child = child;
}

void ChildComponent::remove_child() {
    m_child.reset();
}

Widget *ChildComponent::get_child() const {
    return m_child.get();
}

