#ifndef __color_widget_h__
#define __color_widget_h__

#include "widget.h"

#include <SDL2/SDL.h>

class ColorWidget : public Widget {
    public:
        ColorWidget(uint8_t r, uint8_t g, uint8_t b, uint8_t a = 0xff);

        virtual void request_size(WidgetSize &size, const WidgetSize &hint);
        virtual void draw(SDL_Renderer *renderer, const WidgetDrawLocation &location);

    private:
        SDL_Color   m_color;
};

#endif //#ifndef __color_widget_h__
