#include "map_view.h"

#include <cassert>

MapView::MapView() {
    m_map_widget = std::make_shared<MapWidget>();
    m_map_widget->set_show_cursor(true);
}

MapWidget &MapView::get_map_widget() {
    assert(m_map_widget != nullptr);

    return *m_map_widget;
}

Widget *MapView::get_widget() {
    assert(m_map_widget != nullptr);

    return widget_cast(m_map_widget).get();
}
