#ifndef __map_view_h__
#define __map_view_h__

#include "map_widget.h"
#include "widget.h"

class MapView {
    public:
        MapView();

        MapView(const MapView &) = delete;
        MapView &operator=(const MapView &) = delete;

        MapWidget &get_map_widget();
        Widget *get_widget();

    private:
        std::shared_ptr<MapWidget> m_map_widget;
};

#endif //#ifndef __map_view_h__
