#ifndef __margin_widget_h__
#define __margin_widget_h__

#include "child_component.h"
#include "widget.h"

#include <memory>

class MarginWidget : public Widget, public ChildComponent {
    public:
        MarginWidget(int margin = 20);

        void set_margin(int margin);
        int get_margin() const;

        virtual void request_size(WidgetSize &size, const WidgetSize &hint);
        virtual void draw(SDL_Renderer *renderer, const WidgetDrawLocation &location);

    private:
        int m_margin;
};

#endif //#ifndef __margin_widget_h__
