#ifndef __route_planner_h__
#define __route_planner_h__

#include "slam/grid_map.h"

#include <Eigen/Dense>

#include <list>

bool plan_route(std::list<Eigen::Vector2d> &route, const GridMap &gm,
        const Eigen::Vector2d &from, const Rect &dest);

#endif //#ifndef __route_planner_h__
