#ifndef __heartbeat_h__
#define __heartbeat_h__

#include <chrono>

class Heartbeat {
    public:
        Heartbeat();

        void beat();
        bool should_stop();
        bool alive();

    private:
        int m_state; // ALIVE, DEAD, DEBOUNCING
        std::chrono::high_resolution_clock::time_point m_next_beat;
        std::chrono::high_resolution_clock::time_point m_next_debounce;
};

#endif //#ifndef __heartbeat_h__
