# dynSLAM

dynSLAM a grid map based SLAM system.

# Compiling

To compile and run the client on Ubuntu 20.04.4 LTS:

    sudo apt install build-essential
    sudo apt install git
    # http://ceres-solver.org/installation.html
    sudo apt install cmake
    sudo apt-get install libgoogle-glog-dev libgflags-dev
    sudo apt-get install libatlas-base-dev
    sudo apt-get install libeigen3-dev
    sudo apt-get install libsuitesparse-dev
    sudo apt-get install liblapack-dev

    git clone https://ceres-solver.googlesource.com/ceres-solver
    cd ceres-solver
    mkdir ceres-bin
    cd ceres-bin
    cmake ../ceres-solver
    make -j 4
    #make test
    sudo make install

    sudo apt install libsdl2-dev
    sudo apt install libavcodec-dev
    sudo apt install libsdl2-image-dev
    sudo apt install libsdl2-ttf-dev

    git clone https://gitlab.com/masterthesis14/dynSLAM.git
    cd dynSLAM
    make -C external/lodepng
    make -C lib/network
    make -C lib/logging
    make -C lib/slam
    cd client
    make -j 8
    ./client -i ip_addr

To compile and run the server

    git clone https://gitlab.com/masterthesis14/dynSLAM.git
    cd dynSLAM
    make -C make -C external/rplidar_sdk/sdk/
    make -C lib/network
    cd server
    make
    ./server
