#ifndef __arg_parser_h__
#define __arg_parser_h__

#include <string>

class ArgParser {
    public:
        ArgParser(int argc, char *argv[]);

        bool good();

        std::string     get_ip();
        unsigned short  get_port();
        bool            get_save_raw();

    private:
        bool            m_good;

        std::string     m_ip;
        unsigned short  m_port;
        bool            m_save_raw;

        void print_help(const char *argv0);
};

#endif //#ifndef __arg_parser_h__
