#ifndef __child_component_h__
#define __child_component_h__

#include "widget.h"

#include <memory>

class ChildComponent {
    public:
        void add_child(const std::shared_ptr<Widget> &child);
        void remove_child();
        Widget *get_child() const;

    protected:
        std::shared_ptr<Widget> m_child;

        ChildComponent() {};
};

#endif //#ifndef __child_component_h__
