#ifndef __fixed_widget_h__
#define __fixed_widget_h__

#include "child_component.h"
#include "widget.h"

#include <memory>

class FixedWidget : public Widget, public ChildComponent {
    public:
        FixedWidget(int width, int height);

        void set_size(int width, int height);

        virtual void request_size(WidgetSize &size, const WidgetSize &hint);
        virtual void draw(SDL_Renderer *renderer, const WidgetDrawLocation &location);

    private:
        int m_width;
        int m_height;
};

#endif //#ifndef __fixed_widget_h__
