#ifndef __graphics_h__
#define __graphics_h__

#include "widget.h"

#include <SDL2/SDL.h>

class Graphics {
    public:
        Graphics();
        ~Graphics();

        Graphics(const Graphics &) = delete;
        Graphics &operator=(const Graphics &) = delete;

        void draw(Widget *widget);

    private:
        SDL_Window     *m_window;
        SDL_Renderer   *m_renderer;
};


#endif  //__graphics_h__
