#ifndef __imu_h__
#define __imu_h__

#include <cstdint>

struct IMU_Datum {
    double heading;
    double roll;
    double pitch;
    bool cal;
    double lia[3];
    uint32_t timestamp;
};

IMU_Datum imu_datum_unpack(const uint8_t *buf);


#endif //#ifndef __imu_h__
