#ifndef __scale_widget_h__
#define __scale_widget_h__

#include "widget.h"

class ScaleWidget : public Widget {
    public:
        ScaleWidget();

        void set_value(double value);
        double get_value() const;

        void set_limit(double limit);
        double get_limit() const;

        virtual void request_size(WidgetSize &size, const WidgetSize &hint);
        virtual void draw(SDL_Renderer *renderer, const WidgetDrawLocation &location);

    private:
        double m_value;
        double m_limit;
};

#endif //#ifndef __scale_widget_h__
