#ifndef __steering_controller_h__
#define __steering_controller_h__

#include <cstdint>

class SteeringController {
    public:
        SteeringController();

        void set_acceleration(double value);
        void set_deceleration(double value);
        void set_steering(double value);

        double get_power();

        double get_limit();
        void set_limit(double limit);

        void get_speeds(int8_t &left, int8_t &right);


    private:
        double m_acceleration;
        double m_deceleration;
        double m_steering;

        double m_limit;
};

#endif //#ifndef __steering_controller_h__
