#ifndef __texture_component_h__
#define __texture_component_h__

#include <SDL2/SDL.h>

class TextureComponent {
    protected:
        int m_texture_width;
        int m_texture_height;
        SDL_Texture *m_texture;

        TextureComponent(Uint32 format, int access);
        ~TextureComponent();

        void allocate_texture(SDL_Renderer *renderer, int width, int height);

    private:
        Uint32 m_format;
        int m_access;
};

#endif //#ifndef __texture_component_h__
