#ifndef __misc_h__
#define __misc_h__

#include <cstdint>

template<typename T>
T clamp(T x, T min, T max) {
	if (x > max)
		return max;
	if (x < min)
		return min;
	return x;
}

uint64_t utime();

#endif //#ifndef __misc_h__
